ServerEvents.tags('item', event => {
  event.add('create:upright_on_belt', 'v_borne:garapa_bottle')
  event.add('forge:dusts/ender_pearl', 'garnished:crushed_ender_pearl')
  event.add('forge:fuels/bio', 'createaddition:biomass_pellet')
  event.add('forge:dusts/sulfur', 'createindustry:sulfur_dust')
  event.add('forge:fruits/prickly_pear', 'garnished:prickly_pear')
  event.add('sereneseasons:summer_crops', 'supplementaries:flax_seeds')
  event.add('sereneseasons:spring_crops', 'minecraft:sugar_cane')
  event.add('sereneseasons:summer_crops', 'culturaldelights:avocado_sapling')
  event.add('sereneseasons:summer_crops', 'culturaldelights:avocado_pit')
  event.add('sereneseasons:summer_crops', 'culturaldelights:corn_kernals')
  event.add('sereneseasons:autumn_crops', 'culturaldelights:corn_kernals')
  event.add('sereneseasons:summer_crops', 'culturaldelights:cucumber_seeds')
  event.add('sereneseasons:spring_crops', 'culturaldelights:cucumber_seeds')
  event.add('sereneseasons:summer_crops', 'culturaldelights:eggplant_seeds')
  event.add('sereneseasons:spring_crops', 'culturaldelights:eggplant_seeds')
  event.add('sereneseasons:spring_crops', 'farmersrespite:tea_seeds')
  event.add('sereneseasons:summer_crops', 'farmersrespite:tea_seeds')
  event.add('sereneseasons:summer_crops', 'northstar:coiler_sapling')
  event.add('sereneseasons:winter_crops', 'northstar:coiler_sapling')
  event.add('sereneseasons:spring_crops', 'northstar:coiler_sapling')
  event.add('sereneseasons:autumn_crops', 'northstar:coiler_sapling')
  event.add('sereneseasons:summer_crops', 'northstar:argrye_sapling')
  event.add('sereneseasons:winter_crops', 'northstar:argrye_sapling')
  event.add('sereneseasons:spring_crops', 'northstar:argrye_sapling')
  event.add('sereneseasons:autumn_crops', 'northstar:argrye_sapling')
  event.add('sereneseasons:summer_crops', 'northstar:wilter_sapling')
  event.add('sereneseasons:winter_crops', 'northstar:wilter_sapling')
  event.add('sereneseasons:spring_crops', 'northstar:wilter_sapling')
  event.add('sereneseasons:autumn_crops', 'northstar:wilter_sapling')
  event.add('sereneseasons:summer_crops', 'northstar:mars_sprout_seeds')
  event.add('sereneseasons:winter_crops', 'northstar:mars_sprout_seeds')
  event.add('sereneseasons:spring_crops', 'northstar:mars_sprout_seeds')
  event.add('sereneseasons:autumn_crops', 'northstar:mars_sprout_seeds')
  event.add('sereneseasons:spring_crops', 'garnished:bok_choy_seeds')
  event.add('sereneseasons:autumn_crops', 'garnished:bok_choy_seeds')
  event.add('sereneseasons:summer_crops', 'ecologics:walnut_sapling')
  event.add('sereneseasons:winter_crops', 'ecologics:walnut_sapling')
  event.add('sereneseasons:spring_crops', 'ecologics:walnut_sapling')
  event.add('sereneseasons:autumn_crops', 'ecologics:walnut_sapling')
  event.add('sereneseasons:summer_crops', 'ecologics:coconut_seedling')
  event.add('sereneseasons:winter_crops', 'ecologics:coconut_seedling')
  event.add('sereneseasons:spring_crops', 'ecologics:coconut_seedling')
  event.add('sereneseasons:autumn_crops', 'ecologics:coconut_seedling')
  event.add('sereneseasons:summer_crops', 'quark:ancient_sapling')
  event.add('sereneseasons:winter_crops', 'quark:ancient_sapling')
  event.add('sereneseasons:spring_crops', 'quark:ancient_sapling')
  event.add('sereneseasons:autumn_crops', 'quark:ancient_sapling')
  event.add('sereneseasons:summer_crops', 'quark:red_blossom_sapling')
  event.add('sereneseasons:winter_crops', 'quark:blue_blossom_sapling')
  event.add('sereneseasons:summer_crops', 'quark:yellow_blossom_sapling')
  event.add('sereneseasons:spring_crops', 'quark:yellow_blossom_sapling')
  event.add('sereneseasons:spring_crops', 'quark:pink_blossom_sapling')
  event.add('sereneseasons:spring_crops', 'quark:lavender_blossom_sapling')
  event.add('sereneseasons:autumn_crops', 'quark:lavender_blossom_sapling')
  event.add('sereneseasons:summer_crops', 'quark:orange_blossom_sapling')
  event.add('sereneseasons:spring_crops', 'quark:orange_blossom_sapling')
  event.add('sereneseasons:autumn_crops', 'quark:orange_blossom_sapling')
  event.add('sereneseasons:summer_crops', 'tconstruct:earth_slime_sapling')
  event.add('sereneseasons:winter_crops', 'tconstruct:earth_slime_sapling')
  event.add('sereneseasons:spring_crops', 'tconstruct:earth_slime_sapling')
  event.add('sereneseasons:autumn_crops', 'tconstruct:earth_slime_sapling')
  event.add('sereneseasons:summer_crops', 'tconstruct:sky_slime_sapling')
  event.add('sereneseasons:winter_crops', 'tconstruct:sky_slime_sapling')
  event.add('sereneseasons:spring_crops', 'tconstruct:sky_slime_sapling')
  event.add('sereneseasons:autumn_crops', 'tconstruct:sky_slime_sapling')
  event.add('sereneseasons:summer_crops', 'tconstruct:blood_slime_sapling')
  event.add('sereneseasons:winter_crops', 'tconstruct:blood_slime_sapling')
  event.add('sereneseasons:spring_crops', 'tconstruct:blood_slime_sapling')
  event.add('sereneseasons:autumn_crops', 'tconstruct:blood_slime_sapling')
  event.add('sereneseasons:summer_crops', 'tconstruct:ender_slime_sapling')
  event.add('sereneseasons:winter_crops', 'tconstruct:ender_slime_sapling')
  event.add('sereneseasons:spring_crops', 'tconstruct:ender_slime_sapling')
  event.add('sereneseasons:autumn_crops', 'tconstruct:ender_slime_sapling')
  event.add('create:flywheels', 'create:flywheel')
  event.add('create:flywheels', 'createindustry:steel_flywheel')
  event.add('create:flywheels', 'createindustry:aluminum_flywheel')
  event.add('create:flywheels', 'createindustry:cast_iron_flywheel')
  event.add('create:flywheels', 'createindustry:lead_flywheel')
  event.add('create:flywheels', 'createindustry:nickel_flywheel')
  event.add('forge:storage_blocks/aluminium', 'createindustry:aluminum_block')
  event.add('northstar:diamond_ores', 'northstar:mars_diamond_ore')
  event.add('northstar:diamond_ores', 'northstar:mars_deep_diamond_ore')
  event.add('northstar:diamond_ores', 'northstar:moon_diamond_ore')
  event.add('northstar:diamond_ores', 'northstar:moon_deep_diamond_ore')
  event.add('northstar:diamond_ores', 'northstar:mercury_diamond_ore')
  event.add('northstar:diamond_ores', 'northstar:mercury_deep_diamond_ore')
  event.add('northstar:diamond_ores', 'northstar:venus_diamond_ore')
  event.add('northstar:diamond_ores', 'northstar:venus_deep_diamond_ore')
  event.add('forge:coins', 'createdeco:zinc_coin')
  event.add('forge:coins', 'createdeco:copper_coin')
  event.add('forge:coins', 'createdeco:brass_coin')
  event.add('forge:coins', 'createdeco:iron_coin')
  event.add('forge:coins', 'createdeco:gold_coin')
  event.add('forge:coins', 'createdeco:netherite_coin')
  event.add('forge:coins', 'createdeco:cast_iron_coin')
  event.add('forge:coinstacks', 'createdeco:zinc_coinstack')
  event.add('forge:coinstacks', 'createdeco:copper_coinstack')
  event.add('forge:coinstacks', 'createdeco:brass_coinstack')
  event.add('forge:coinstacks', 'createdeco:iron_coinstack')
  event.add('forge:coinstacks', 'createdeco:gold_coinstack')
  event.add('forge:coinstacks', 'createdeco:netherite_coinstack')
  event.add('forge:coinstacks', 'createdeco:cast_iron_coinstack')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:antiprotonic_nucleosynthesizer')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:module_blasting_unit')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:module_gravitydampner_unit')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:module_elytra_unit')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:module_teleportation_unit')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:module_gravity_modulating_unit')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:module_silk_touch_unit')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:module_fortune_unit')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:module_vein_mining_unit')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:module_nutritional_injection_unit')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:module_jetpack_unit')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:module_charge_distribution_unit')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:elite_tier_installer')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:ultimate_tier_installer')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:hdpe_elytra')
  event.add('v_borne:recipe_transfer/mechanical_crafter', 'mekanism:dimensional_stabilizer')
  event.add('v_borne:resin_wood', 'biomesoplenty:stripped_fir_wood')
  event.add('v_borne:resin_wood', 'minecraft:stripped_spruce_wood')
  event.add('create_dd:asphalt_blocks', 'createindustry:asphalt')
})

ServerEvents.tags('block', e => {
  e.add('create:wrench_pickup', 'createindustry:casting_spout')
  e.add('create:wrench_pickup', 'cgm:workbench')
  e.add('create:wrench_pickup', 'northstar:telescope')
  e.add('sereneseasons:summer_crops', 'supplementaries:flax')
  e.add('sereneseasons:spring_crops', 'minecraft:sugar_cane')
  e.add('sereneseasons:summer_crops', 'culturaldelights:avocado_sapling')
  e.add('sereneseasons:summer_crops', 'culturaldelights:avocado_pit')
  e.add('sereneseasons:summer_crops', 'culturaldelights:corn')
  e.add('sereneseasons:autumn_crops', 'culturaldelights:corn')
  e.add('sereneseasons:summer_crops', 'culturaldelights:cucumbers')
  e.add('sereneseasons:spring_crops', 'culturaldelights:cucumbers')
  e.add('sereneseasons:summer_crops', 'culturaldelights:eggplants')
  e.add('sereneseasons:spring_crops', 'culturaldelights:eggplants')
  e.add('sereneseasons:spring_crops', 'farmersrespite:small_tea_bush')
  e.add('sereneseasons:summer_crops', 'farmersrespite:small_tea_bush')
  e.add('sereneseasons:summer_crops', 'northstar:coiler_sapling')
  e.add('sereneseasons:winter_crops', 'northstar:coiler_sapling')
  e.add('sereneseasons:spring_crops', 'northstar:coiler_sapling')
  e.add('sereneseasons:autumn_crops', 'northstar:coiler_sapling')
  e.add('sereneseasons:summer_crops', 'northstar:argrye_sapling')
  e.add('sereneseasons:winter_crops', 'northstar:argrye_sapling')
  e.add('sereneseasons:spring_crops', 'northstar:argrye_sapling')
  e.add('sereneseasons:autumn_crops', 'northstar:argrye_sapling')
  e.add('sereneseasons:summer_crops', 'northstar:wilter_sapling')
  e.add('sereneseasons:winter_crops', 'northstar:wilter_sapling')
  e.add('sereneseasons:spring_crops', 'northstar:wilter_sapling')
  e.add('sereneseasons:autumn_crops', 'northstar:wilter_sapling')
  e.add('sereneseasons:summer_crops', 'northstar:mars_sprout')
  e.add('sereneseasons:winter_crops', 'northstar:mars_sprout')
  e.add('sereneseasons:spring_crops', 'northstar:mars_sprout')
  e.add('sereneseasons:autumn_crops', 'northstar:mars_sprout')
  e.add('sereneseasons:spring_crops', 'garnished:bok_choy_plant')
  e.add('sereneseasons:autumn_crops', 'garnished:bok_choy_plant')
  e.add('sereneseasons:summer_crops', 'ecologics:walnut_sapling')
  e.add('sereneseasons:winter_crops', 'ecologics:walnut_sapling')
  e.add('sereneseasons:spring_crops', 'ecologics:walnut_sapling')
  e.add('sereneseasons:autumn_crops', 'ecologics:walnut_sapling')
  e.add('sereneseasons:summer_crops', 'ecologics:coconut_seedling')
  e.add('sereneseasons:winter_crops', 'ecologics:coconut_seedling')
  e.add('sereneseasons:spring_crops', 'ecologics:coconut_seedling')
  e.add('sereneseasons:autumn_crops', 'ecologics:coconut_seedling')
  e.add('sereneseasons:summer_crops', 'quark:ancient_sapling')
  e.add('sereneseasons:winter_crops', 'quark:ancient_sapling')
  e.add('sereneseasons:spring_crops', 'quark:ancient_sapling')
  e.add('sereneseasons:autumn_crops', 'quark:ancient_sapling')
  e.add('sereneseasons:summer_crops', 'quark:red_blossom_sapling')
  e.add('sereneseasons:winter_crops', 'quark:blue_blossom_sapling')
  e.add('sereneseasons:summer_crops', 'quark:yellow_blossom_sapling')
  e.add('sereneseasons:spring_crops', 'quark:yellow_blossom_sapling')
  e.add('sereneseasons:spring_crops', 'quark:pink_blossom_sapling')
  e.add('sereneseasons:spring_crops', 'quark:lavender_blossom_sapling')
  e.add('sereneseasons:autumn_crops', 'quark:lavender_blossom_sapling')
  e.add('sereneseasons:summer_crops', 'quark:orange_blossom_sapling')
  e.add('sereneseasons:spring_crops', 'quark:orange_blossom_sapling')
  e.add('sereneseasons:autumn_crops', 'quark:orange_blossom_sapling')
  e.add('sereneseasons:summer_crops', 'tconstruct:earth_slime_sapling')
  e.add('sereneseasons:winter_crops', 'tconstruct:earth_slime_sapling')
  e.add('sereneseasons:spring_crops', 'tconstruct:earth_slime_sapling')
  e.add('sereneseasons:autumn_crops', 'tconstruct:earth_slime_sapling')
  e.add('sereneseasons:summer_crops', 'tconstruct:sky_slime_sapling')
  e.add('sereneseasons:winter_crops', 'tconstruct:sky_slime_sapling')
  e.add('sereneseasons:spring_crops', 'tconstruct:sky_slime_sapling')
  e.add('sereneseasons:autumn_crops', 'tconstruct:sky_slime_sapling')
  e.add('sereneseasons:summer_crops', 'tconstruct:blood_slime_sapling')
  e.add('sereneseasons:winter_crops', 'tconstruct:blood_slime_sapling')
  e.add('sereneseasons:spring_crops', 'tconstruct:blood_slime_sapling')
  e.add('sereneseasons:autumn_crops', 'tconstruct:blood_slime_sapling')
  e.add('sereneseasons:summer_crops', 'tconstruct:ender_slime_sapling')
  e.add('sereneseasons:winter_crops', 'tconstruct:ender_slime_sapling')
  e.add('sereneseasons:spring_crops', 'tconstruct:ender_slime_sapling')
  e.add('sereneseasons:autumn_crops', 'tconstruct:ender_slime_sapling')
})